3

I'm trying to install some script in Weechat but anyone of them I'm getting

16:45:56 | script: script "notification_center.py" can not be installed because plugin "python" is not loaded

I'm running Mac OS X 10.9.2 and install Weechat using homebrew

I have python installed. Can anyone point me out what might be wrong here?

Thanks.

6

The problem is that Python was not include as part of Weechat installation and it can't load Python plugin there.

So, removing Weechat and reinstall using this command:

brew install weechat --with-python

And for notification_center.py in Weechat you need pync:

(sudo) pip install pync
| improve this answer | |
  • Since at least Weechat v2.2 this is now brew install weechat --with-python@2. – SidOfc Sep 17 '18 at 19:42

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.